Vlan (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.Vlan interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface Vlan

All Superinterfaces:
  Bridge, ConfigurationItem, Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPVlan

    public interface Vlan

extends Bridge, ConfigurationItem

A VLAN is a special case of a layer 2 bridge. It can span multiple physical bridges(switches)

Naming Rules:
  0="mgmtDomainName,vlanName"
Persistable:
  true
Top Level:
  true
Display Name:
  mgmtDomainName,vlanName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getMgmtDomainName()`
`L2Interface[]` | `getTrunkInterfaces()`
`int` | `getVlanId()`
`java.lang.String` | `getVlanName()`
`boolean` | `hasMgmtDomainName()`
`boolean` | `hasTrunkInterfaces()`
`boolean` | `hasVlanId()`
`boolean` | `hasVlanName()`
`void` | `setMgmtDomainName(java.lang.String domain)`
`void` | `setTrunkInterfaces(L2Interface[] intf)`
`void` | `setVlanId(int id)`
`void` | `setVlanName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.net.Bridge
`getBridgeId, getInterfaces, hasBridgeId, hasInterfaces, setBridgeId, setInterfaces`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getVlanId

    int getVlanId()
                  throws AttributeNotSetException

  Returns:
    The identifier used as payload in e.g. 801.1Q frames. This ID is typically unique inside a management domain
  Throws:
    `AttributeNotSetException`

### setVlanId

    void setVlanId(int id)

### hasVlanId

    boolean hasVlanId()

### getVlanName

    java.lang.String getVlanName()
                                 throws AttributeNotSetException

  Returns:
    The name of the VLAN
  Throws:
    `AttributeNotSetException`

### setVlanName

    void setVlanName(java.lang.String name)

### hasVlanName

    boolean hasVlanName()

### getMgmtDomainName

    java.lang.String getMgmtDomainName()
                                       throws AttributeNotSetException

  Returns:
    The management domain name that this VLAN belongs to
  Throws:
    `AttributeNotSetException`

### setMgmtDomainName

    void setMgmtDomainName(java.lang.String domain)

### hasMgmtDomainName

    boolean hasMgmtDomainName()

### getTrunkInterfaces

    L2Interface[] getTrunkInterfaces()
                                     throws AttributeNotSetException

  Returns:
    The list of trunk interfaces that the VLAN uses to connect between switches
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Networks" reverse="false"

### setTrunkInterfaces

    void setTrunkInterfaces(L2Interface[] intf)

### hasTrunkInterfaces

    boolean hasTrunkInterfaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD